NEXT(%manext1%)

NAME
next - show the next nmh message

SYNOPSIS

next [-help] [-version] [+folder] [-showproc program] [-showmimeproc program] [-header | -noheader] [-checkmime | -nocheckmime] [switches for showproc or showmimeproc]

DESCRIPTION
next performs a show on the next message in the specified (or current) folder. Like show, it passes any switches on to the program showproc or showmimeproc, which is called to list the message. This command is almost exactly equivalent to “show next”. Consult the manual entry for show(1) for all the details.

FILES

$HOME/.mh_profile
    The user profile

PROFILE COMPONENTS
Path:
    To determine the user's nmh directory
Current-Folder:
    To find the default current folder
showproc:
    Program to show non-MIME messages
showmimeproc:
    Program to show MIME messages

SEE ALSO
prev(1), show(1)

DEFAULTS
+folder
    The current folder.
-checkmime
-header

CONTEXT
If a folder is specified, it will become the current folder. The message that is shown (i.e., the next message in sequence) will become the current message.

BUGS
next is really a link to the show program. As a result, if you make a link to next and that link is not called next, your link will act like show instead. To circumvent this, add a profile-entry for the link to your nmh profile and add the argument next to the entry.